import greenfoot.*;

public class MyWorld extends World
{
    String[] map = { "                         ",
                     "d             c          ",
                     "ppp                      ",
                     "                         ",
                     "                         ",
                     "     pp                  ",
                     "                         ",
                     "                         ",
                     "                         ",
                     "        pp               ",
                     "                         ",
                     "    m                    ",
                     "                      m  ",
                     "  ppppp                  ",
                     "                     ppp ",
                     "                         ",
                     "                         ",
                     "         w        w      ",
                     "bbbbbbbbbbbbbbbbbbbbbbbbb" };
                     
    public MyWorld()
    {    
        super(800, 600, 1, false); 
        prepare();
    }

    private void prepare()
    {
        for (int i=0; i<map.length; i++) for (int j=0; j<map[i].length(); j++)
        {
            int kind = "cbpwmd".indexOf(""+map[i].charAt(j));
            if (kind < 0) continue;
            Actor actor = null;
            if (kind == 0) actor = new Player();
            if (kind == 1) actor = new Block();
            if (kind == 2) actor = new Platform2();
            if (kind == 3) actor = new Wall();
            if (kind == 4) actor = new Monster();
            if (kind == 5) actor = new Door();
            addObject(actor, 16+j*32, 16+i*32);
        }
    }
}